Subject: Re: bug#13471: 24.3.50; S-up does not work in xterm: <select> is undefined

From: Stefan Monnier <[email-masked]>
Date: Thu, 17 Jan 2013 12:37:19 -0500

Hi Thomas,

I'm not familiar enough to follow your argument and/or suggestion and
I'm especially unable to relate your email's body with its subject.
Could you try to help me understand?

        Stefan

>>>>> "dickey" == dickey  <[email-masked]> writes:

> On Thursday, January 17, 2013 3:53:15 AM UTC-5, Sven Joachim wrote:
>> --8<---------------cut here---------------start------------->8---
>> === modified file 'src/term.c'
>> --- src/term.c	2013-01-11 02:40:58 +0000
>> +++ src/term.c	2013-01-17 08:49:20 +0000
>> @@ -1415,7 +1415,6 @@ term_get_fkeys_1 (void)
>> CONDITIONAL_REASSIGN ("F1", "k<", "f11");
>> CONDITIONAL_REASSIGN ("F2", "k>", "f12");
>> CONDITIONAL_REASSIGN ("%1", "kq", "help");
>> -      CONDITIONAL_REASSIGN ("*6", "kU", "select");
>> 
>> #undef CONDITIONAL_REASSIGN
>> 
>> }

> A follow message says that there is a comment

>       /* IBM has their own non-standard dialect of terminfo.
>          If the standard name isn't found, try the IBM name.  */

> which is interesting: the code fragment is dealing with termcap
> names (the first parameter is conventional termcap names, the
> second is not).  It is not dealing with terminfo (there is a
> difference...).  AIX has been terminfo-only for a long time
> (I don't have access to a machine old enough to provide an
> example of termcap in use - that would have to be from the
> early 1990s.

> I would suggest researching the history of this fragment,
> and probably discarding the entire chunk as obsolete,
> e.g., if it referred to AIX 3 or 4.